# $Revision: 1.12 $, $Date: 2008/09/17 08:11:47 $
%define		_realname	netspeed_applet
Summary:	Show how much traffic occurs on a network device
Summary(pl.UTF-8):	Pokazywanie wielkości ruchu występującego na urządzeniu sieciowym
Name:		gnome-applet-netspeed
Version:	0.15
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://www.wh-hms.uni-ulm.de/~mfcn/netspeed/packages/%{_realname}-%{version}.tar.gz
# Source0-md5:	6aacaac946b17b3a95a0b366c6dbe850
Patch0:		%{name}-assertion.patch
URL:		http://www.gnome.org/projects/netspeed/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	gnome-panel-devel >= 2.4.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libgtop-devel >= 2.14.2
BuildRequires:	libiw-devel >= 1:28-0.pre9.1
BuildRequires:	libtool
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Netspeed applet is just a little applet that shows how much traffic
occurs on a specified network device.

%description -l pl.UTF-8
Netspeed jest po prostu niewielkim apletem pokazującym wielkość ruchu
występującego na określonym urządzeniu sieciowym.

%prep
%setup -q -n %{_realname}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang netspeed_applet --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%update_icon_cache hicolor

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f netspeed_applet.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/netspeed_applet2
%{_libdir}/bonobo/servers/GNOME_NetspeedApplet.server
%{_iconsdir}/hicolor/*/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-applet-netspeed.spec,v $
Revision 1.12  2008/09/17 08:11:47  megabajt
- added -assertion.patch
- release 2

Revision 1.11  2008/09/16 22:01:39  megabajt
- updated to 0.15

Revision 1.10  2008/01/04 23:01:18  zbyniu
- up to 0.14

Revision 1.9  2007-02-13 07:16:46  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.7  2005/08/25 11:43:06  paladine
- updated to 0.13
- missing dir
- missing BRs
- use more macros

Revision 1.6  2005/04/25 09:09:08  paladine
- run %%scrollkeeper_update_post{,un}
- removed redundant BR: libgtop-devel
- rel. 2

Revision 1.5  2005/04/22 09:36:03  aflinta
- up to version 0.12.1

Revision 1.4  2004/12/08 10:33:59  paladine
- updated to 0.11 (fixed ppp monitoring)
- rel 1 (builds and works ok)
- STBR

Revision 1.3  2004/10/25 21:12:22  qboosh
- BR: automake

Revision 1.2  2004/10/24 13:09:52  ankry
- pl, formatting

Revision 1.1  2004/10/24 11:51:49  wiget
- new gnome apllet
